<?php
/**
 * Functions and definitions
 *
 * Sets up the theme using core flat-commerce-core and provides some helper functions using flat-commerce-custon-functions.
 * Others are attached to action and
 * filter hooks in WordPress to change core functionality
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.0
 */

//define theme version
if ( !defined( 'FLAT_COMMERCE_THEME_VERSION' ) ) {
    $theme_data = wp_get_theme();

    define ( 'FLAT_COMMERCE_THEME_VERSION', $theme_data->get( 'Version' ) );
}

//define global variable
$GLOBALS['woocommerce_not_active_message'] = sprintf(
					esc_html__( 'WooCommerce plugin is not installed/activated', 'flat-commerce') );

/**
 * Implement the core functions
 */
require get_template_directory() . '/inc/core.php';