<?php
/**
 * The template for adding Additional Header Option in Customizer
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.0
 */

if ( ! defined( 'FLAT_COMMERCE_THEME_VERSION' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}

	// Header Options
	$wp_customize->add_setting( 'flat_commerce_theme_options[enable_featured_header_image]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['enable_featured_header_image'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$flat_commerce_enable_featured_header_image_options = flat_commerce_enable_featured_header_image_options();
	$choices = array();
	foreach ( $flat_commerce_enable_featured_header_image_options as $flat_commerce_enable_featured_header_image_option ) {
		$choices[$flat_commerce_enable_featured_header_image_option['value']] = $flat_commerce_enable_featured_header_image_option['label'];
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[enable_featured_header_image]', array(
		'label'				=> esc_html__( 'Enable Featured Header Image on ', 'flat-commerce' ),
		'section'   		=> 'header_image',
        'settings'  		=> 'flat_commerce_theme_options[enable_featured_header_image]',
        'type'	  			=> 'select',
		'choices'  			=> $choices,
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[featured_header_image_position]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_header_image_position'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$flat_commerce_featured_header_image_position_options = flat_commerce_featured_header_image_position_options();
	$choices = array();
	foreach ( $flat_commerce_featured_header_image_position_options as $flat_commerce_featured_header_image_position_option ) {
		$choices[$flat_commerce_featured_header_image_position_option['value']] = $flat_commerce_featured_header_image_position_option['label'];
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[featured_header_image_position]', array(
		'label'				=> esc_html__( 'Featured Header Image Position', 'flat-commerce' ),
		'section'   		=> 'header_image',
        'settings'  		=> 'flat_commerce_theme_options[featured_header_image_position]',
        'type'	  			=> 'select',
		'choices'  			=> $choices,
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[featured_image_size]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_image_size'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$flat_commerce_featured_image_size_options = flat_commerce_featured_image_size_options();
	$choices = array();
	foreach ( $flat_commerce_featured_image_size_options as $flat_commerce_featured_image_size_option ) {
		$choices[$flat_commerce_featured_image_size_option['value']] = $flat_commerce_featured_image_size_option['label'];
	}

	$wp_customize->add_control( 'flat_commerce_theme_options[featured_image_size]', array(
		'label'				=> esc_html__( 'Page/Post Featured Header Image Size', 'flat-commerce' ),
		'section'   		=> 'header_image',
		'settings'  		=> 'flat_commerce_theme_options[featured_image_size]',
		'type'	  			=> 'select',
		'choices'  			=> $choices,
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[featured_header_image_alt]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_header_image_alt'],
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'flat_commerce_theme_options[featured_header_image_alt]', array(
		'label'				=> esc_html__( 'Featured Header Image Alt/Title Tag ', 'flat-commerce' ),
		'section'   		=> 'header_image',
        'settings'  		=> 'flat_commerce_theme_options[featured_header_image_alt]',
        'type'	  			=> 'text',
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[featured_header_image_url]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_header_image_url'],
		'sanitize_callback' => 'esc_url_raw',
	) );

	$wp_customize->add_control( 'flat_commerce_theme_options[featured_header_image_url]', array(
		'label'				=> esc_html__( 'Featured Header Image Link URL', 'flat-commerce' ),
		'section'   		=> 'header_image',
        'settings'  		=> 'flat_commerce_theme_options[featured_header_image_url]',
        'type'	  			=> 'text',
	) );

	$wp_customize->add_setting( 'flat_commerce_theme_options[featured_header_image_base]', array(
		'capability'        => 'edit_theme_options',
		'default'           => $defaults['featured_header_image_url'],
		'sanitize_callback' => 'flat_commerce_sanitize_checkbox',
	) );

	$wp_customize->add_control( 'flat_commerce_theme_options[featured_header_image_base]', array(
		'label'    			=> esc_html__( 'Check to Open Link in New Window/Tab', 'flat-commerce' ),
		'section'  			=> 'header_image',
		'settings' 			=> 'flat_commerce_theme_options[featured_header_image_base]',
		'type'     			=> 'checkbox',
	) );
// Header Options End