<?php
/**
 * Customizer Partial Functions
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.2
 */


if ( ! function_exists( 'flat_commerce_customize_partial_promotion_headline' ) ) :
	/**
	 * Render the promotional headline title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_promotion_headline() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['promotion_headline'] );
	}
endif;

if ( ! function_exists( 'flat_commerce_customize_partial_promotion_subheadline' ) ) :
	/**
	 * Render the promotional subheadline title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_promotion_subheadline() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['promotion_subheadline'] );
	}
endif;



if ( ! function_exists( 'flat_commerce_customize_partial_recent_products_title' ) ) :
	/**
	 * Render the recent products title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_recent_products_title() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['recent_products_title'] );
	}
endif;



if ( ! function_exists( 'flat_commerce_customize_partial_featured_product_content_headline' ) ) :
	/**
	 * Render the featured products title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_featured_product_content_headline() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['featured_product_content_headline'] );
	}
endif;


if ( ! function_exists( 'flat_commerce_customize_partial_latest_blog_heading' ) ) :
	/**
	 * Render the latest blog headline for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_latest_blog_heading() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['latest_blog_heading'] );
	}
endif;


if ( ! function_exists( 'flat_commerce_customize_partial_bottom_section_title' ) ) :
	/**
	 * Render the bottom section title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_bottom_section_title() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['bottom_section_title'] );
	}
endif;


if ( ! function_exists( 'flat_commerce_customize_partial_bottom_section_sub_title' ) ) :
	/**
	 * Render the bottom section sub title for the selective refresh partial.
	 *
	 * @since Flat Commerce Pro 1.1
	 *
	 * @return string
	 */
	function flat_commerce_customize_partial_bottom_section_sub_title() {
		$options = flat_commerce_get_theme_options();
		return esc_html( $options['bottom_section_sub_title'] );
	}
endif;