<?php
/**
 * The template for Front Page Widget Area
 *
 * @package Theme Palace
 * @subpackage Flat Commerce Pro
 * @since Flat Commerce Pro 1.0
 */

if( ! function_exists( 'flat_commerce_front_page_widget_area' ) ) :
/**
* Add front page widget area
*
* @uses action hook flat_commerce_before_content.
*
* @since Flat Commerce Pro 1.0
*/

	function flat_commerce_front_page_widget_area() {
		if ( is_active_sidebar( 'front-page-widget' ) && is_front_page() && ! is_home() ) : 
			$total_widgets = wp_get_sidebars_widgets();
			$sidebar_widgets = count($total_widgets['front-page-widget']);
			?>
			<section id="front-page-widget-area" class="col-<?php echo esc_attr( $sidebar_widgets );?> page-section clear">
				<div class="container">
					<?php dynamic_sidebar( 'front-page-widget' ); ?>
				</div><!-- .container -->
			</section>
		<?php
		endif; //end is_active_sidebar
	}
endif;
add_action( 'flat_commerce_after_content', 'flat_commerce_front_page_widget_area', 30 );
