/*
 * Custom scripts
 * Description: Custom scripts for flat-commerce
 */

jQuery(document).ready(function ($) {
    var jQueryheader_search = $('#search-toggle');
    jQueryheader_search.click(function () {
        var jQuerythis_el_search = $(this),
                jQueryform_search = jQuerythis_el_search.siblings('#search-container');

        if (jQueryform_search.hasClass('displaynone')) {
            jQueryform_search.removeClass('displaynone').addClass('displayblock').animate({opacity: 1}, 300);
        } else {
            jQueryform_search.removeClass('displayblock').addClass('displaynone').animate({opacity: 0}, 300);
        }
    });

    //Fit vids
    if (jQuery.isFunction(jQuery.fn.fitVids)) {
        $('.hentry, .widget').fitVids();
    }

    $('.main-navigation').meanmenu();
    $('.mean-bar').insertAfter('.site-topbar');

    $(window).resize(function() {
        $('.mean-bar').insertAfter('.site-topbar');
    });

    $('.topsearch .search-icon').click(function(){
        $('.topsearch form.search-form').fadeToggle();
        $('.topsearch form.search-form input').focus();
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('.topsearch form.search-form').fadeOut();
        }
    });

    $(document).click(function (e) {
      var container = $(".nav-wrapper");
       if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('.topsearch form.search-form').fadeOut();
        }
    });
    
//    responsive main-navigation
    $(window).on('load', function () {
        $(window).scroll(function(){
            var scroll = $(window).scrollTop();
            var menu_center = $('.site-header.align-center .nav-wrapper').outerHeight(true);
            var menu_right = $('.site-header.align-right .site-menu').outerHeight(true);
            if (scroll > menu_center) {
                $('.site-header').addClass('affix');
            }
            else if (scroll > menu_right) {
                $('.site-header').addClass('affix');
            } 
            else {
                $('.site-header').removeClass('affix');
            }
        });
    });
    //    scroll bar fixed

    // $("#tabs").tabs();
    $('div#tabs').each(function () {
        // For each set of tabs, we want to keep track of
        // which tab is active and its associated content
        var $active, $content, $links = $(this).find('a');

        // If the location.hash matches one of the links, use that as the active tab.
        // If no match is found, use the first link as the initial active tab.
        $active = $($links.filter('[href="' + location.hash + 'tabs"]')[0] || $links[0]);
        $active.parent().addClass('ui-tabs-active');

        // check if undefined
        if (typeof $active[0] !== 'undefined') {
            $content = $($active[0].hash);

            // Hide the remaining content
            $links.not($active).each(function () {
                $(this.hash).hide();
            });

            // Bind the click event handler
            $(this).on('click', '.ui-tabs-nav a', function (e) {
                e.preventDefault();
                // Prevent the anchor's default click action
                // Make the old tab inactive.
                $active.parent().removeClass('ui-tabs-active');

                // $active.removeClass('active');
                $content.hide();

                // Update the variables with the new link and content
                $active = $(this);
                $content = $(this.hash);

                // Make the tab active.
                $active.parent().addClass('ui-tabs-active');
                $content.show();
                return false;

            });
        }
    });

    $('.product-categories > li.cat-parent > a').on("click", function (e) {
        e.preventDefault();
        if ($(this).next().hasClass("show")) {
            $(this).next().slideUp(500, function () {});
        } else {
            $(this).next().slideDown(500, function () {});
        }
        $(this).toggleClass("show");
    });
});
