<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Flat_Commerce
 */
$options        = flat_commerce_get_theme_options();
$content_layout = $options[ 'content_layout' ];
$layouts = $options ['latest_blog_layout'];
?>
<article id="post-<?php the_ID(); ?>" class="col col-1-of-<?php echo $layouts;?>"  <?php post_class(); ?>>
	<div class="row">
        <div class="col col-12-of-12">
        	<?php  do_action( 'flat_commerce_before_entry_container' ); ?>
            <header class="entry-header">
				<?php
                    the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' );
                ?>
			</header><!-- .entry-header -->

            <?php
            if ( 'post' == get_post_type() ) : ?>
                <div class="entry-meta">
                    <?php flat_commerce_posted_on(); ?>
                </div><!-- .entry-meta -->
            <?php
            endif;?>

            <div class="entry-content">
                <?php

                if ( ( 'full-content' == $content_layout ) || ( 'full-content-featured-image' == $content_layout ) ) {
                	the_content();
                } else {
                    the_excerpt();
                } ?>
            </div><!-- .entry-content -->
        </div><!-- .col -->
	</div><!-- .row -->
</article><!-- #post-## -->
